Name:           yacpi
Version:        3.0.1
Release:        alt1_17
Summary:        Yet Another Configuration and Power Interface 

Group:          File tools
License:        GPLv2+
URL:            http://www.ngolde.de/yacpi.html
Source0:        http://www.ngolde.de/download/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}.patch

BuildRequires:  ncurses-devel
BuildRequires:  libacpi-devel
ExcludeArch:    ppc ppc64
Source44: import.info

%description
Yacpi is an acpi monitoring program for Linux. It displays acpi information 
like battery status, ac status, cpu frequency, remaining battery/charge 
time, temperature... It also supports the use of more than one battery and 
can display them. 

%prep
%setup -q
%patch0 -p1
sed -i "s/CFLAGS  = -O2 -Wall -g/CFLAGS = $RPM_OPT_FLAGS/" Makefile
sed -i "s&share/doc/%{name}&share/doc/%{name}-%{version}&" Makefile


%build
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

#fix convert changelog to UTF8
iconv -f ISO_8859-1 -t UTF-8 -o $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/CHANGELOG{.utf8,}
mv $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/CHANGELOG{.utf8,}

%files
%{_bindir}/%{name}
%dir %{_defaultdocdir}/%{name}-%{version}
%doc %{_defaultdocdir}/%{name}-%{version}/CHANGELOG
%doc %{_defaultdocdir}/%{name}-%{version}/COPYING
%doc %{_defaultdocdir}/%{name}-%{version}/README
%doc %{_defaultdocdir}/%{name}-%{version}/THANKS
%{_mandir}/man1/%{name}.1*



%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_17
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_16
- update to new release by fcimport

* Fri Jun 08 2012 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_15
- fc import

